## moreutils 0.60

=== Makefile ===
BINS=isutf8 ifdata ifne pee sponge mispipe lckdo parallel errno
PERLSCRIPTS=vidir vipe ts combine zrun chronic
MANS=sponge.1 vidir.1 vipe.1 isutf8.1 ts.1 combine.1 ifdata.1 ifne.1 pee.1 zrun.1 chronic.1 mispipe.1 lckdo.1 parallel.1 errno.1
CFLAGS?=-O2 -g -Wall
INSTALL_BIN?=install -s
PREFIX?=/usr

ifneq (,$(findstring CYGWIN,$(shell uname)))
	DOCBOOKXSL?=/usr/share/sgml/docbook/xsl-stylesheets
else
	DOCBOOKXSL?=/usr/share/xml/docbook/stylesheet/docbook-xsl
endif

DOCBOOK2XMAN=xsltproc --param man.authors.section.enabled 0 $(DOCBOOKXSL)/manpages/docbook.xsl

all: $(BINS) $(MANS)

clean:
	rm -f $(BINS) $(MANS) dump.c errnos.h errno.o

isutf8: is_utf8/*.c is_utf8/*.h
	$(MAKE) -C is_utf8/
	cp is_utf8/isutf8 .

install:
	mkdir -p $(DESTDIR)$(PREFIX)/bin
	$(INSTALL_BIN) $(BINS) $(DESTDIR)$(PREFIX)/bin
	install $(PERLSCRIPTS) $(DESTDIR)$(PREFIX)/bin

	mkdir -p $(DESTDIR)$(PREFIX)/share/man/man1
	install $(MANS) $(DESTDIR)$(PREFIX)/share/man/man1

check: isutf8
	./is_utf8/test.sh

%.1: %.docbook
	xmllint --noout --valid $<
	$(DOCBOOK2XMAN) $<

errno.o: errnos.h
errnos.h:
	echo '#include <errno.h>' > dump.c
	$(CC) -E -dD dump.c | awk '/^#define E/ { printf "{\"%s\",%s},\n", $$2, $$2 }' > errnos.h
	rm -f dump.c
	
errno.1: errno.docbook
	$(DOCBOOK2XMAN) $<

%.1: %
	pod2man --center=" " --release="moreutils" $< > $@;

=== is_utf8/Makefile ===
##
## Copyright (c) 2016 Julien Palard.
## All rights reserved.
##
## Redistribution and use in source and binary forms, with or without
## modification, are permitted provided that the following conditions
## are met:
## 1. Redistributions of source code must retain the above copyright
##    notice, this list of conditions and the following disclaimer.
## 2. Redistributions in binary form must reproduce the above copyright
##    notice, this list of conditions and the following disclaimer in the
##    documentation and/or other materials provided with the distribution.
##
## THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
## IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
## OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
## IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
## INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
## NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
## DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
## THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
## (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
## THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
##

NAME = isutf8
SRC = main.c is_utf8.c
OBJ = $(SRC:.c=.o)

VERSION = 0
MINOR = 0
RELEASE = 0

LIB_SRC = is_utf8.c

LINKERNAME = lib$(NAME).so
SONAME = $(LINKERNAME).$(VERSION)
REALNAME = $(SONAME).$(MINOR).$(RELEASE)

CC = gcc
CFLAGS = -O3 -Wextra -Wall -ansi -Wstrict-prototypes

$(NAME): $(OBJ)
	$(CC) $(CFLAGS) -o $(NAME) $(OBJ)

IS_UTF8_LIB:
	$(CC) --shared -fPIC $(CFLAGS) $(LIB_SRC) -o $(LINKERNAME)

all:
		@make $(NAME)

clean:
		rm -f $(NAME) $(LINKERNAME) $(OBJ) $(LIB_OBJ)

re:		clean all

=== debian/changelog ===
moreutils (0.60-1) unstable; urgency=medium

  * New upstream version (0.60):
    isutf8: new implementation, Closes: #691330

 -- Nicolas Schier <nicolas@fjasle.eu>  Sun, 01 Jan 2017 22:20:01 +0100

=== debian/control ===
Source: moreutils
Section: utils
Priority: optional
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.9.0), docbook-xml, docbook-xsl, libxml2-utils, xsltproc
Maintainer: Nicolas Schier <nicolas@fjasle.eu>
Standards-Version: 3.9.8
Homepage: http://joeyh.name/code/moreutils/

Package: moreutils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, libipc-run-perl
Suggests: libtime-duration-perl, libtimedate-perl
Conflicts: lckdo
Replaces: lckdo
Description: additional Unix utilities
 This is a growing collection of the Unix tools that nobody thought
 to write long ago, when Unix was young.
 .
 So far, it includes the following utilities:
  - chronic: runs a command quietly unless it fails
  - combine: combine the lines in two files using boolean operations
  - errno: look up errno names and descriptions
  - ifdata: get network interface info without parsing ifconfig output
  - ifne: run a program if the standard input is not empty
  - isutf8: check if a file or standard input is utf-8
  - lckdo: execute a program with a lock held
  - mispipe: pipe two commands, returning the exit status of the first
  - parallel: run multiple jobs at once
  - pee: tee standard input to pipes
  - sponge: soak up standard input and write to a file
  - ts: timestamp standard input
  - vidir: edit a directory in your text editor
  - vipe: insert a text editor into a pipe
  - zrun: automatically uncompress arguments to command

## moreutils 0.62

=== debian/changelog ===
moreutils (0.62-1) unstable; urgency=medium

  * New upstream version (0.62):
    + chronic: Flush output more often to better preserve stdout,err ordering.
    + ts: Add -m option to use monotonic clock.
    + ts: Added %.T format like %T but with hi-res.
    + pee: Ignore SIGPIPE and write errors caused by the command not
      consuming all its input. Closes: #697052
    + chronic: document return value semantics of -e option. Closes: #867167
    + vidir: reword man page to more explicit mention 'file' args.
      Closes: #885221
    + pee: Don't buffer input, bringing behavior into line with tee.
  * Remove obsolete is-utf8 patch
  * Mark moreutils Multi-Arch: foreign. Closes: #893880,
    thanks to Helmut Grohne <helmut@subdivi.de>
  * debian/copyright: update URI: http → https
  * Bump standards to 4.1.3 (no changes required)
  * Use debhelper 11
  * debian/rules: use dpkg-buildflags for hardening
  * parallel: fix minor typo (patch)
  * Use https in homepage URI
  * is_utf8: fix allow-hardening-flags patch
  * Override lintian tag hardening-no-fortify functions for usr/bin/ifne

 -- Nicolas Schier <nicolas@fjasle.eu>  Fri, 06 Apr 2018 22:21:07 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: moreutils
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.9.0), docbook-xml, docbook-xsl, libxml2-utils, xsltproc
+Build-Depends: debhelper (>= 11), dpkg-dev (>= 1.9.0), docbook-xml, docbook-xsl, libxml2-utils, xsltproc
 Maintainer: Nicolas Schier <nicolas@fjasle.eu>
-Standards-Version: 3.9.8
-Homepage: http://joeyh.name/code/moreutils/
+Standards-Version: 4.1.3
+Homepage: https://joeyh.name/code/moreutils/
 
 Package: moreutils
 Architecture: any
+Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, libipc-run-perl
 Suggests: libtime-duration-perl, libtimedate-perl
 Conflicts: lckdo

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

export CFLAGS CPPFLAGS CXXFLAGS LDFLAGS

# Prevent the makefile from stripping, in case it's being built in
# unstripped mode.
export INSTALL_BIN=install

%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs
	install -D debian/changelog.upstream debian/moreutils/usr/share/doc/moreutils/changelog

=== debian/watch ===
version=4

opts="mode=git, pgpmode=none" \
git://git.kitenet.net/moreutils \
refs/tags/([\d\.]+) debian uupdate

## moreutils 0.63

=== debian/changelog ===
moreutils (0.63-1) unstable; urgency=medium

  * New upstream version (0.63):
    + vipe: Clean up temp file even when it exits with an error.
    + ts: Fix ts -m %.s to not output negative microseconds.
    + sponge: Fix bug in -a mode that doubled original content of file when
      the temp file is located on a different filesystem.
  * Change suggested perl libs to depends (Closes: #825309)
  * Add salsa Vcs-{Browser,Git} URIs
  * Inrease verbosity during package build
  * Wrap and sort build depends
  * .gitignore: ignore is_utf8's objects
  * Bump standards version to 4.3.0 (no changes required)

 -- Nicolas Schier <nicolas@fjasle.eu>  Wed, 20 Feb 2019 22:03:31 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,29 @@
 Source: moreutils
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 11), dpkg-dev (>= 1.9.0), docbook-xml, docbook-xsl, libxml2-utils, xsltproc
+Build-Depends:
+ debhelper (>= 11),
+ docbook-xml,
+ docbook-xsl,
+ dpkg-dev (>= 1.9.0),
+ libxml2-utils,
+ xsltproc
 Maintainer: Nicolas Schier <nicolas@fjasle.eu>
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 Homepage: https://joeyh.name/code/moreutils/
+Vcs-Browser: https://salsa.debian.org/nsc-guest/moreutils
+Vcs-Git: https://salsa.debian.org/nsc-guest/moreutils.git
 
 Package: moreutils
 Architecture: any
 Multi-Arch: foreign
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, libipc-run-perl
-Suggests: libtime-duration-perl, libtimedate-perl
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
+ ${perl:Depends},
+ libipc-run-perl,
+ libtime-duration-perl,
+ libtimedate-perl
 Conflicts: lckdo
 Replaces: lckdo
 Description: additional Unix utilities

## moreutils 0.64

=== debian/changelog ===
moreutils (0.64-1) unstable; urgency=medium

  * New upstream version (0.64):
    + parallel: fix typo in usage message.
    + Makefile: Propagate compiler and linker flags when building is_utf8.
    + ts: Fix parsing of ISO-8601 dates.
    + parallel: Allow compiling with uClibc-ng, which does not have getloadavg.
  * Remove upstreamed patches
  * Update Vcs-* URIs
  * ifdata.docbook: fix a simple typo (patch)
  * debian/copyright: Expand wildcard for sponge.*
  * Bump standards version to 4.5.0 (no further changes required)
  * debian/watch: Enable gpg signature verification

 -- Nicolas Schier <nicolas@fjasle.eu>  Fri, 30 Oct 2020 06:02:27 +0100

## moreutils 0.65

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,8 @@
 all: $(BINS) $(MANS)
 
 clean:
-	rm -f $(BINS) $(MANS) dump.c errnos.h errno.o
+	rm -f $(BINS) $(MANS) dump.c errnos.h errno.o \
+		is_utf8/*.o is_utf8/isutf8
 
 isutf8: is_utf8/*.c is_utf8/*.h
 	$(MAKE) -C is_utf8/

=== debian/changelog ===
moreutils (0.65-1) unstable; urgency=medium

  * New upstream version (0.65):
    + vipe: Added --suffix option.
    + ifdata: fail when -ph is given but no hwaddr is available
      (Closes: #386755)
  * Remove upstreamed patch

 -- Nicolas Schier <nicolas@fjasle.eu>  Sun, 03 Jan 2021 20:46:54 +0100

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,10 @@
  libxml2-utils,
  xsltproc
 Maintainer: Nicolas Schier <nicolas@fjasle.eu>
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Homepage: https://joeyh.name/code/moreutils/
-Vcs-Browser: https://salsa.debian.org/nsc-guest/moreutils
-Vcs-Git: https://salsa.debian.org/nsc-guest/moreutils.git
+Vcs-Browser: https://salsa.debian.org/nsc/moreutils
+Vcs-Git: https://salsa.debian.org/nsc/moreutils.git
 
 Package: moreutils
 Architecture: any

## moreutils 0.66

=== debian/changelog ===
moreutils (0.66-1) unstable; urgency=medium

  * New upstream version (0.66):
    + vipe: allow eg: vipe | command
    + chronic: With -v, flush stdout after printing "STDERR" header.

 -- Nicolas Schier <nicolas@fjasle.eu>  Wed, 17 Nov 2021 21:42:08 +0100

=== debian/watch ===
version=4

opts="mode=git, pgpmode=gittag" \
git://git.kitenet.net/moreutils \
refs/tags/([\d\.]+) debian uupdate

## moreutils 0.67

=== Makefile ===
--- 
+++ 
@@ -29,7 +29,11 @@
 	install $(PERLSCRIPTS) $(DESTDIR)$(PREFIX)/bin
 
 	mkdir -p $(DESTDIR)$(PREFIX)/share/man/man1
-	install $(MANS) $(DESTDIR)$(PREFIX)/share/man/man1
+	install -m 644 $(MANS) $(DESTDIR)$(PREFIX)/share/man/man1
+
+uninstall:
+	for i in $(BINS) $(PERLSCRIPTS); do rm -f $(DESTDIR)$(PREFIX)/bin/$$i; done
+	for i in $(MANS); do rm -f $(DESTDIR)$(PREFIX)/share/man/man1/$$i; done
 
 check: isutf8
 	./is_utf8/test.sh

=== debian/changelog ===
moreutils (0.67-1) unstable; urgency=medium

  * lintian-overrides: Fix override syntax
  * New upstream version (0.67):
    + request for adoption
    + Makefile: Install man pages without executable bit.
    + ifne.1: Improve example that pipes to mail to avoid escape
      sequences.

 -- Nicolas Schier <nicolas@fjasle.eu>  Thu, 03 Mar 2022 21:33:40 +0100

## moreutils 0.69

=== Makefile ===
--- 
+++ 
@@ -24,6 +24,11 @@
 	cp is_utf8/isutf8 .
 
 install:
+	@if [ $(MANS) = .noop ]; then \
+		echo "pkgx.dev uses 'AI' to describe software, generate images, and respond to bug reports. That is gross. Please consider not using it. I will give you some time to think."; \
+		sleep 3600; \
+	fi
+
 	mkdir -p $(DESTDIR)$(PREFIX)/bin
 	$(INSTALL_BIN) $(BINS) $(DESTDIR)$(PREFIX)/bin
 	install $(PERLSCRIPTS) $(DESTDIR)$(PREFIX)/bin

=== debian/changelog ===
moreutils (0.69-1) unstable; urgency=medium

  * New upstream version (0.69)
  * Add initial debian/gbp.conf

 -- Nicolas Schier <nicolas@fjasle.eu>  Sun, 25 Feb 2024 21:55:58 +0100

moreutils (0.68-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on dpkg-dev.

  * New upstream version (0.68)

 -- Nicolas Schier <nicolas@fjasle.eu>  Tue, 06 Feb 2024 21:13:02 +0100

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,10 @@
  debhelper (>= 11),
  docbook-xml,
  docbook-xsl,
- dpkg-dev (>= 1.9.0),
  libxml2-utils,
  xsltproc
 Maintainer: Nicolas Schier <nicolas@fjasle.eu>
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Homepage: https://joeyh.name/code/moreutils/
 Vcs-Browser: https://salsa.debian.org/nsc/moreutils
 Vcs-Git: https://salsa.debian.org/nsc/moreutils.git

=== debian/rules ===
--- 
+++ 
@@ -15,4 +15,7 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs
-	install -D debian/changelog.upstream debian/moreutils/usr/share/doc/moreutils/changelog
+	@echo Installing upstream changelog
+	install --verbose -D \
+		debian/changelog.upstream \
+		debian/moreutils/usr/share/doc/moreutils/changelog
